%define uname   VulkanMemoryAllocator

Name:           vulkan-memory-allocator
Version:        3.3.0
Release:        %mkrel 1
Summary:        Easy to integrate Vulkan memory allocation library
License:        MIT
Group:          Development/C
URL:            https://gpuopen.com/vulkan-memory-allocator/
Source0:        https://github.com/GPUOpen-LibrariesAndSDKs/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
# Header only pkg
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  cmake(VulkanLoader)
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  glslang
BuildRequires:  glslc

%description
The Vulkan Memory Allocator (VMA) library provides a simple and easy to
integrate API to help you allocate memory for Vulkan buffer and image storage.

%package devel
Summary:        The Vulkan Memory Allocator development package
Group:          Development/C
Provides:       %{uname} = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}

%description devel
The Vulkan Memory Allocator (VMA) library provides a simple and easy to
integrate API to help you allocate memory for Vulkan buffer and image storage.
This package provides the Vulkan Memory Allocator development package.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake -DVMA_BUILD_DOCUMENTATION=ON \
       -DVMA_BUILD_SAMPLES=ON \
       -DVMA_DYNAMIC_VULKAN_FUNCTIONS=ON
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE.txt
%doc CHANGELOG.md docs/html
%{_docdir}/%{uname}/
%{_includedir}/vk_mem_alloc.h
%{_datadir}/cmake/%{uname}/


%changelog
* Sun Jun 15 2025 daviddavid <daviddavid> 3.3.0-1.mga10
+ Revision: 2191532
- initial package vulkan-memory-allocator (thanks to Aurelian R)

